﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InventoryManagement.Components
{
    [PrimaryKey(nameof(Id))]
    [Index(nameof(Name), IsUnique = true)]
    internal class Product
    {
        public int Id { get; }
        public string Name { get; set; }
        public int Quantity { get; set; }

        public ICollection<Accessary> CompatibleAccessaries { get; set; }
    }
}
