﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp.TelnetSamples
{
	public interface IAsyncTelnetClient
	{
		public event EventHandler<string> MessageCallback;
		public event EventHandler<Exception> ErrorCallback;

		void Connect(string ip, int port = 23);
		void SendCommand(string command);
		void Close();
	}
}
